      /* 遮罩层基础样式 */
        .overlay {
            position: fixed; /* 固定位置 */
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(0, 0, 0, 0.5); /* 黑色半透明 */
            z-index: 9; /* 确保遮罩层在最上层 */
            display: none; /* 默认隐藏 */
        }

        /* 让遮罩层内容居中 */
        .overlay-content {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            background: white;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
        }

        /* 关闭按钮 */
        .close-btn {
            display: block;
            margin: 10px auto 0;
            padding: 8px 16px;
            background: red;
            color: white;
            border: none;
            cursor: pointer;
            border-radius: 5px;
        }

	.selectasd {
		width: 98.5%;
	}

	@media (max-width: 768px) {
		.selectasd {
			width: 100%;
		}
	}

	.hidden {
		display: none;
	}

	.asd-ticket-item.selected {
		border: 2px solid #FFA300;
	}

	body {
		background-color: #CEDDD4;
	}

	.asd-ticket-items {
		font-size: 12px;
		display: flex;
		align-items: center;
		justify-content: space-between;
		background-color: #fff;
		border-radius: 10px;
		box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
		padding: 50px;
	}

	.asd-ticket-items.selected {
		border: 2px solid #FFA300;
	}

	.classtexts:hover {
		background-color: #FFFFFF;
	}

	button.disabled-ticket {
		background-color: #333;
		color: #fff;
		cursor: not-allowed;
	}

	button.disabled-ticket span {
		color: #959595;
	}

	.seectxgau {
		padding: 8px;
		width: 100%;
		background-color: #DEDEDE;
		border: none;
	}

	.textonjsss.disabled {
		/* background-color: #c8c8c8; */
	}

	.spinner {
		border: 4px solid #f3f3f3;
		border-top: 4px solid #3498db;
		border-radius: 50%;
		width: 20px;
		height: 20px;
		animation: spin 1s linear infinite;
	}

	@keyframes spin {
		0% {
			transform: rotate(0deg);
		}

		100% {
			transform: rotate(360deg);
		}
	}

	.ripple {
		position: relative;
		overflow: hidden;
		transform: translate3d(0, 0, 0);
	}

	.ripple:after {
		content: "";
		position: absolute;
		top: 50%;
		left: 50%;
		width: 5px;
		height: 5px;
		background: rgba(0, 0, 0, 0.4);
		opacity: 0;
		border-radius: 100%;
		transform: scale(1, 1) translate(-50%);
		transform-origin: 50% 50%;
	}

	.ripple:hover:after {
		animation: ripple-effect 0.6s cubic-bezier(0.215, 0.61, 0.355, 1) forwards;
	}

	@keyframes ripple-effect {
		to {
			opacity: 0;
			transform: scale(50, 50);
		}
	}

	.box {
		width: 200px;
		height: 200px;
		background: #3498db;
		margin: 100px auto;
		cursor: pointer;
	}

	.classfontgai {
		padding: 10px 10px;
		background: #656666;
		width: 40%;
		color: #ffffff;
		margin: 0 0 3% 30%;
		border-radius: 100px;
	}

	.qita {
		width: 30%;
		background-color: #FFFFFF;
		padding: 20px;
		/* position: absolute; */
		margin: 2% 0 5% 35%;
	}
	i {
    font-style: normal;
}

	.textpolicy{
		    width: 90%;
    height: auto;
    margin: 0 0 0 5%;
    position: absolute;
    top: 10%;
    background-color: #ffffff;
    padding: 50px;
	z-index:19;
	}
		/* 账号已存在弹窗 */
		.overlayTextObject {
		    position: fixed;
		    top: 0;
		    left: 0;
		    width: 100%;
		    height: 100%;
		    background-color: rgba(0, 0, 0, 0.5);
		    display: flex;
		    justify-content: center;
		    align-items: center;
		    display: none; /* 默认隐藏 */
		}
		
		.popupnumbers {
		    background-color: white;
		    padding: 30px;
		    text-align: center;
		    border-radius: 10px;
		    box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
		}
		
		.popupnumbers p {
		    font-size: 16px;
		    font-weight: bold;
		    margin-bottom: 35px;
		}
		
		.popupnumbers button {
		    margin: 0 10px;
		    padding: 10px 20px;
		    border: none;
		    border-radius: 100px;
		    cursor: pointer;
		    font-size: 14px;
		}
		
		#returnBtnasync {
		    background-color: #ccc;
		    color: #333;
		}
		
		#confirmBtnadd {
		    background-color: #333333;
		    color: white;
		}
		h1{
			font-size:3vw;
		}
		.buttomsslogin{
			 cursor: pointer;
		transition: background-color 0.3s ease;

		}
		.buttomsslogin:hover{
			background: #737373;
		}
		.get-codess:hover{
			background-color: #737373;
		}
		.buttomsslogin:hover {
        opacity: 0.9;
        transform: translateY(-2px);
    }
	.buttomsslogin:hover {
        opacity: 0.9;
        transform: translateY(-2px);
    }
	.get-codess:hover{
		opacity: 0.9;
        transform: translateY(-2px);
	}